This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 243297 - s390utils contains a command, dbginfo.sh, during run it drops two errors - kernelversion not found.
s390utils contains a command, dbginfo.sh, during run it drops two errors - ke...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: s390utils (Show other bugs)
4.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 09:00 EDT by Eric Sammons
Modified: 2009-05-18 16:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the dbginfo.sh shell script contained a reference to kernelversion, a command not included in Red Hat Enterprise Linux. This would cause dbginfo to exit before running all tests and report the following errors: "kernelversion: command not found" and " [: =: unary operator expected". In this version of s390utils, the dbginfo.sh script has been modified so that it no longer calls the kernelversion command, thereby avoiding this issue. The script now works correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Included patch, this patch also addresses a find command issue in RHEL5. This may not be the best way to address the issue but it works. (203 bytes, patch)
2007-06-08 09:00 EDT, Eric Sammons
no flags Details | Diff

  None (edit)
Description Eric Sammons 2007-06-08 09:00:08 EDT
Description of problem:

During the run of dbginfo.sh the following errors will appear.

/bin/dbginfo.sh: line 323: kernelversion: command not found
/bin/dbginfo.sh: line 323: [: =: unary operator expected

How reproducible:

Very

Steps to Reproduce:
1. Run dbginfo.sh

  
Actual results:

Program completes quickly, but wit/bin/dbginfo.sh: line 323: kernelversion:
command not found
/bin/dbginfo.sh: line 323: [: =: unary operator expected
h two errors.

Expected results:
No errors, and a longer run with more complete data.

Additional info:

this command will be useful when troubleshooting RHEL issues on the s390x
platform.  Sysreport does not currently provide all the necessary information.
Comment 1 Eric Sammons 2007-06-08 09:00:08 EDT
Created attachment 156572 [details]
Included patch, this patch also addresses a find command issue in RHEL5.  This may not be the best way to address the issue but it works.
Comment 2 RHEL Product and Program Management 2008-09-05 13:23:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Ruediger Landmann 2009-01-15 23:31:53 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the dbginfo.sh shell script contained a reference to kernelversion, a command not included in Red Hat Enterprise Linux. This would cause dbginfo to exit before running all tests and report the following errors: "kernelversion: command not found" and " [: =: unary operator expected". In this version of s390utils, the dbginfo.sh script has been modified so that it no longer calls the kernelversion command, thereby avoiding this issue. The script now works correctly.
Comment 9 errata-xmlrpc 2009-05-18 16:14:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0973.html

Note You need to log in before you can comment on or make changes to this bug.